org.gjt.sp.jedit.io

## Class GlobVFSFileFilter

- java.lang.Object
- - org.gjt.sp.jedit.io.GlobVFSFileFilter

All Implemented Interfaces:
  VFSFileFilter

    public class GlobVFSFileFilter
    extends java.lang.Object
    implements VFSFileFilter

Implementation of `VFSFileFilter` that uses Unix-style globs to filter files. This doesn't filter directories - just files.

Since:
  jEdit 4.3pre7

### Field Summary

### Fields inherited from interface org.gjt.sp.jedit.io.VFSFileFilter

`SERVICE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`GlobVFSFileFilter(java.lang.String glob)`

### Method Summary

Methods
`boolean` `accept(java.lang.String url)` Same thing as `VFSFileFilter.accept(VFSFile)` above, but operates on the raw URL instead of a VFSFile object.
`boolean` `accept(VFSFile file)` Should return whether the entry represented by the given URL should be listed in the browser view.
`java.lang.String` `getDescription()` Returns the description of the filter, to be used in the VFSBrowser window.
`java.lang.String` `getGlob()`
`void` `setGlob(java.lang.String glob)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GlobVFSFileFilter

    public GlobVFSFileFilter(java.lang.String glob)

### Method Detail

#### accept

    public boolean accept(VFSFile file)

Description copied from interface: `VFSFileFilter`
Should return whether the entry represented by the given URL should be listed in the browser view. Can be a file or a directory.

Specified by:
  `accept` in interface `VFSFileFilter`

#### accept

    public boolean accept(java.lang.String url)

Description copied from interface: `VFSFileFilter`
Same thing as `VFSFileFilter.accept(VFSFile)` above, but operates on the raw URL instead of a VFSFile object.

Specified by:
  `accept` in interface `VFSFileFilter`

#### getDescription

    public java.lang.String getDescription()

Description copied from interface: `VFSFileFilter`
Returns the description of the filter, to be used in the VFSBrowser window.

Specified by:
  `getDescription` in interface `VFSFileFilter`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### setGlob

    public void setGlob(java.lang.String glob)

#### getGlob

    public java.lang.String getGlob()